/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.activities;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import no.ntnu.android.toolkit.model.Model;

public class MyActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        getActionBar().setTitle(getString(R.string.appName));
    }

    public void redirectToLoadBoardTypesPage(View view){
        Intent boardTypeIntent = new Intent(this, SelectBoardType.class);
        startActivity(boardTypeIntent);
    }

    public void redirectToConfigureRulesPage(View view){
        Intent configureRulesIntent = new Intent(this, ConfigureRules.class);
        configureRulesIntent.putExtra("command", "startBluetoothDiscovery");
        Model.getInstance().clearAllBoards();
        startActivity(configureRulesIntent);
    }

    public void redirectToAppStorePage(View view) {
        Intent appStoreIntent = new Intent(this, AppStore.class);
        startActivity(appStoreIntent);
    }

    public void redirectToTutorialPage(View view) {
        Intent tutorialIntent = new Intent(this, Tutorial.class);
        startActivity(tutorialIntent);
    }
}