/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.appstore;

public interface AppServerConnection {

    /**
     * @param savedToolkitApplication serialized SavedToolkitApplication object
     * @return true, serialized, if the objected was saved
     */
    public byte[] save(byte[] savedToolkitApplication);

    /**
     * @param savedToolkitApplication serialized SavedToolkitApplication object
     * @return true, serialized, if the objected was deleted
     */
    public byte[] delete(byte[] savedToolkitApplication);

    /**
     * @return List<SavedToolkitApplication> in byte[]
     */
    public byte[] getAllApplications();

    /**
     * @param names List<String> in byte[]
     * @return List<SavedToolkitApplication> in byte[]
     */
    public byte[] getApplicationsIncludingName(byte[] names);

    /**
     * @param names List<String> in byte[]
     * @return List<SavedToolkitApplication> in byte[]
     */
    public byte[] getExactHardwareNames(byte[] names);

    /**
     * @return List<String> in byte[]
     */
    public byte[] getAllBoardTypeNames();
}