/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.appstore;

import java.util.List;

public class AppServerConnectionStub implements AppServerConnection {

    @Override
    public byte[] save(byte[] savedToolkitApplication) {
        return Serialization.serializeObject(AppServerDataStub.getInstance().save(
                (SavedToolkitApplication)Serialization.deserializeObject(savedToolkitApplication)));
    }

    @Override
    public byte[] delete(byte[] savedToolkitApplication) {
        return Serialization.serializeObject(false);
    }

    @Override
    public byte[] getAllApplications() {
        return Serialization.serializeObject(
                AppServerDataStub.getInstance().getSavedToolkitApplications());
    }

    @Override
    public byte[] getApplicationsIncludingName(byte[] names) {
        return Serialization.serializeObject(
                AppServerDataStub.getInstance().getApplicationsIncludingName(
                        (List<String>)Serialization.deserializeObject(names)));
    }

    @Override
    public byte[] getExactHardwareNames(byte[] names) {
        return Serialization.serializeObject(
                AppServerDataStub.getInstance().getAppsWithBoardsIncludingNames(
                        (List<String>) Serialization.deserializeObject(names)));
    }

    @Override
    public byte[] getAllBoardTypeNames() {
        return Serialization.serializeObject(
                AppServerDataStub.getInstance().getAllBoardTypeNames());
    }
}