/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.graphic.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import no.ntnu.android.toolkit.activities.R;
import no.ntnu.android.toolkit.appstore.SavedToolkitApplication;

import java.util.List;

public class AppsAdapter extends ArrayAdapter<SavedToolkitApplication>{
    public AppsAdapter(Context context, int textViewResourceId, List<SavedToolkitApplication> savedToolkitApplications) {
        super(context, textViewResourceId, savedToolkitApplications);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row = convertView;

        if (row == null) {
            LayoutInflater layoutInflater = (LayoutInflater)
                    getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            row = layoutInflater.inflate(R.layout.apps_list_item, null);
        }

        TextView appName = (TextView)row.findViewById(R.id.appsNameText);
        appName.setText(getItem(position).getName());

        TextView description = (TextView) row.findViewById(R.id.appsNameDescription);
        description.setText(getItem(position).getDescription());

        return row;
    }

}
