/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.graphic.adapter;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;

import java.util.ArrayList;
import java.util.List;

public class TutorialAdapter extends FragmentStatePagerAdapter {
    private List<Fragment> images;

    public TutorialAdapter(FragmentManager fm) {
        super(fm);
        this.images = getImages();
    }

    @Override
    public Fragment getItem(int i) {
        return this.images.get(i);
    }

    @Override
    public int getCount() {
        return this.images.size();
    }

    private List<Fragment> getImages() {
        List<Fragment>fragments = new ArrayList<Fragment>();
        fragments.add(TutorialImage.newInstance("configure_rules"));
        fragments.add(TutorialImage.newInstance("no_rules"));
        fragments.add(TutorialImage.newInstance("info"));
        fragments.add(TutorialImage.newInstance("one_rule"));
        fragments.add(TutorialImage.newInstance("complex_rule"));
        fragments.add(TutorialImage.newInstance("settings"));

        return fragments;
    }


}
