/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.graphic.listener;

import android.view.View;
import android.view.ViewGroup;
import no.ntnu.android.toolkit.activities.ConfigureRules;
import no.ntnu.android.toolkit.activities.R;
import no.ntnu.android.toolkit.graphic.view.ConnectedLinearLayout;
import no.ntnu.android.toolkit.graphic.view.ConnectorLinearLayout;

public class ConnectedLinearLayoutOnLongClickListener implements View.OnLongClickListener {

    private final ConfigureRules configureRules;

    public ConnectedLinearLayoutOnLongClickListener(ConfigureRules configureRules) {
        this.configureRules = configureRules;
    }


    @Override
    public boolean onLongClick(View view) {
        if (view instanceof ConnectorLinearLayout) {
            removeTouchArrowFromConnectedLinearLayout((ConnectedLinearLayout) view);
            configureRules.removeConnectorLinearLayout((ConnectorLinearLayout) view);
        }
        return true;
    }

    private void removeTouchArrowFromConnectedLinearLayout(ConnectedLinearLayout connectedLinearLayout) {
        ((ViewGroup) configureRules.findViewById(R.id.rule_container)).removeView(connectedLinearLayout.getTouchArrow());
        connectedLinearLayout.setTouchArrow(null);
    }

}
