package no.ntnu.android.toolkit.graphic.view;


import android.content.Context;
import android.widget.LinearLayout;
import android.widget.TextView;
import no.ntnu.android.toolkit.model.Action;
import no.ntnu.android.toolkit.model.Condition;
import no.ntnu.android.toolkit.model.Configuration;

public class ConfigurationLinearLayout extends ConnectedLinearLayout {

    private Configuration configuration;

    private LinearLayout parameterLayout;
    private TextView textView;

    public Configuration getConfiguration() {
        return configuration;
    }

    public void setConfiguration(Configuration configuration) {
        this.configuration = configuration;
    }

    public ConfigurationLinearLayout(Context context, Configuration configuration) {
        super(context);
        this.configuration = configuration;

    }

    public boolean isConnectedToCLLThroughConnectorLL(ConfigurationLinearLayout cll) {
        for (ImageViewToImageViewArrow arrow : connectionArrows) {
            if (configuration instanceof Condition) {
                if (arrow.getTargetLinearLayout().isNeighborOf(cll)) {
                    return true;
                }
            } else if (configuration instanceof Action) {
                if (arrow.getSourceLinearLayout().isNeighborOf(cll)) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean isConnectedTargetsNeighborsNeighborOfConnectorLL(ConnectorLinearLayout connectorLinearLayout) {
        for (ImageViewToImageViewArrow arrow : connectionArrows) {
            if (arrow.getSourceLinearLayout() == this) {
                for (ImageViewToImageViewArrow targetsArrow : arrow.getTargetLinearLayout().getConnectionArrows()) {
                    if (targetsArrow.getTargetLinearLayout().isNeighborOf(connectorLinearLayout)) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public TextView getTextView() {
        return textView;
    }

    public void setText(String text) {
        textView.setText(text);
    }

    public void setTextView(TextView textView) {
        this.textView = textView;
    }

    public LinearLayout getParameterLayout() {
        return parameterLayout;
    }

    public void setParameterLayout(LinearLayout parameterLayout) {
        this.parameterLayout = parameterLayout;
    }
}
