package no.ntnu.android.toolkit.graphic.view;

import android.content.Context;
import android.graphics.Point;
import android.widget.FrameLayout;
import android.widget.ImageView;
import no.ntnu.android.toolkit.activities.ConfigureRules;


public class ImageViewToImageViewArrow  extends ImageView {

    private ConnectedLinearLayout sourceLinearLayout, targetLinearLayout;

    public ImageViewToImageViewArrow(Context context) {
        super(context);
    }

    public void update() {
        Point sourcePoint = sourceLinearLayout.getArrowSourcePoint();
        Point targetPoint = targetLinearLayout.getArrowSourcePoint();
        final float scale = getResources().getDisplayMetrics().density;
        int pixels = (int) (ConfigureRules.arrowViewSize * scale + 0.5f);
        setLayoutParams(new FrameLayout.LayoutParams(ConfigureRules.getLength(sourcePoint, targetPoint), pixels));
        setRotation(ConfigureRules.getRotation(sourceLinearLayout.getArrowSourcePoint(),
                targetLinearLayout.getArrowSourcePoint()));

        setX(sourcePoint.x);
        setY(sourcePoint.y - (pixels / 2));
        setRotation(ConfigureRules.getRotation(sourcePoint, targetPoint));
    }
    public ConnectedLinearLayout getSourceLinearLayout() {
        return sourceLinearLayout;
    }

    public void setSourceLinearLayout(ConnectedLinearLayout sourceLinearLayout) {
        this.sourceLinearLayout = sourceLinearLayout;
    }

    public ConnectedLinearLayout getTargetLinearLayout() {
        return targetLinearLayout;
    }

    public void setTargetLinearLayout(ConnectedLinearLayout targetLinearLayout) {
        this.targetLinearLayout = targetLinearLayout;
    }

    public void disconnectFromConnectedImageViews() {
        sourceLinearLayout.getConnectionArrows().remove(this);
        targetLinearLayout.getConnectionArrows().remove(this);
        sourceLinearLayout = null;
        targetLinearLayout = null;
    }
}
