package no.ntnu.android.toolkit.graphic.view;

import android.content.Context;
import android.graphics.Point;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import no.ntnu.android.toolkit.activities.ConfigureRules;

public class ImageViewToPointArrow extends ImageView {

    private ConnectedLinearLayout sourceLinearLayout;
    private Point targetPoint;

    public ImageViewToPointArrow(Context context) {
        super(context);
    }

    public void update() {
        Point sourcePoint = sourceLinearLayout.getArrowSourcePoint();
        final float scale = getResources().getDisplayMetrics().density;
        int pixels = (int) (ConfigureRules.arrowViewSize * scale + 0.5f);
        setLayoutParams(new FrameLayout.LayoutParams(ConfigureRules.getLength(sourcePoint, targetPoint), pixels));

        setX(sourcePoint.x);
        setY(sourcePoint.y - (pixels / 2));
        setRotation(ConfigureRules.getRotation(sourcePoint, targetPoint));
    }

    public LinearLayout getSourceLinearLayout() {
        return sourceLinearLayout;
    }

    public void setSourceLinearLayout(ConnectedLinearLayout sourceLinearLayout) {
        this.sourceLinearLayout = sourceLinearLayout;
    }

    public Point getTargetPoint() {
        return targetPoint;
    }

    public void setTargetPoint(Point targetPoint) {
        this.targetPoint = targetPoint;
    }
}
