/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.model;

import java.util.Arrays;
public class AutomaticReceiveMessage extends Condition {

    public AutomaticReceiveMessage(Board board) {
        super(board);
        DeviceFunction deviceFunction = new DeviceFunction("receiveMessage", "" , Arrays.asList(new Parameter(null, "String")), false, DeviceFunction.Type.SENSOR);
        setDeviceFunction(deviceFunction);
    }

    public void setMessage(String message) {
        getDeviceFunction().getParameters().get(0).setValueAsString(message);
    }

    public String getMessage() {
        return getDeviceFunction().getParameters().get(0).getValueAsString();
    }


}
