/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.model;

import java.io.Serializable;

public class Parameter implements Serializable {

    private String valueAsString = "";
    private String uiElementName = "";
    private String datatypeName = "";
    private String label ="";

    public Parameter() {
    }

    public Parameter(String uiElementName, String datatypeName, String label) {
        this.uiElementName = uiElementName;
        this.datatypeName = datatypeName;
        this.label = label;
    }
    public Parameter(String uiElementName, String datatypeName) {
        this.uiElementName = uiElementName;
        this.datatypeName = datatypeName;
    }

    public String getDatatypeName() {
        return datatypeName;
    }

    public void setDatatypeName(String datatypeName) {
        this.datatypeName = datatypeName;
    }

    public String getUiElementName() {
        return uiElementName;
    }

    public void setUiElementName(String uiElementName) {
        this.uiElementName = uiElementName;
    }

    public String getValueAsString() {
        return valueAsString;
    }

    public void setValueAsString(String valueAsString) {
        this.valueAsString = valueAsString;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String toString() {
        if (valueAsString != null && !valueAsString.equals("")) {
            return "Value: " + valueAsString;
        }
        return "UIElement: " + uiElementName + " | " + "Datatype: " + datatypeName;
    }
}