/*
 * Licensed to UbiCollab.org under one or more contributor
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding
 * copyright ownership. UbiCollab.org licenses this file
 * to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package no.ntnu.android.toolkit.tool;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class FormatCheck {

    public static boolean validateMessage(String message) {
        if (message.length() == 0) {
            return false;
        }
        return true;
    }

    public static boolean validateMacAdress(String macAdress) {
        if(macAdress != null) {
            String macPattern = "([0-9A-F]{2}[:-]){5}([0-9A-F]{2})";
            if(macAdress.matches(macPattern)) {
                return true;
            }
        }
        return false;
    }

    public static boolean validateIPAddress(String ipAddress) {
        String IPADDRESS_PATTERN =
                "^([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
                        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
                        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
                        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])$";

        Pattern pattern = Pattern.compile(IPADDRESS_PATTERN);
        Matcher matcher = pattern.matcher(ipAddress);
        return matcher.matches();
    }

    public static boolean validatePort(String port) {
        if (port.length() <= 4 && port.length() > 0) {
            try {
                Integer.parseInt(port);
                return true;

            } catch (Exception e){
                //DO nothing
            }
        }
        return false;
    }
}